const iconGenerator = require('./icons');
const buildApplication = require('./builder');
const Compiler = require('./compiler');

module.exports = {
  Application(answers, client) {
    return new Promise((resolve, reject) => {
      if (answers.icons) {
        iconGenerator(client)
          .then((result) => {
            buildApplication(answers, client);
            resolve(answers);
          })
          .catch((error) => {
            console.error(error);
            reject(error);
          });
      } else {
        buildApplication(answers, client);
        resolve(answers);
      }
    });
  },
  Compile(answers, deploy = false, hmg = false) {
    return new Promise((resolve, reject) => {
      setTimeout(() => {
        new Compiler(answers)
          .compile((answers.platform === 'web' && answers.commands === 'build'), deploy, hmg);
        resolve('success');
      }, 500);
    });
  },
};

