const files = require('../files');
const Config = require('../packages');
const Cordova = require('../cordova');

const LogoASCII = `
  |-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-|
  |                                                 |
  |    ___ _  _ _____ ___          ___ _    ___     |
  |   |_ _| \\| |_   _|_ _|  ___   / __| |  |_ _|    |
  |    | || .\` | | |  | |  |___| | (__| |__ | |     |
  |   |___|_|\\_| |_| |___|        \\___|____|___|    |
  |                                                 |
  |-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-|                                                   
`;

module.exports = function (answers, client) {
  const ClientConfigs = new Config({
    client: client,
    version: answers.appVersion,
  });
  console.clear();
  console.log('\x1b[33m', LogoASCII);
  console.log('\x1b[0m%s\x1b[32m', 'Iniciando a compilação do projeto.');
  console.log('\x1b[0m%s\x1b[32m', '---------------------------------------');
  if (ClientConfigs.updateConfig() && files.copyFiles(client)) {
    ClientConfigs.updatePackagesJson();
    if (answers.platform === 'mobile') {
      const Mobile = new Cordova(client);
      Cordova.clearPlatform();
      Mobile.updatePackagesJson();
      Mobile.configXml();
    }
  }
};