const fs = require('fs-extra');
const rimraf = require('rimraf');
const archiver = require('archiver');

const FolderSTR = require('../folder');
const pour = require('../pour');

class Deploy {
  static cleanDist() {

  }

  static compressBundle() {
    return new Promise((resolve, reject) => {
      rimraf(`${FolderSTR('dist')}/**/*.map`, {}, () => {
        const Output = fs.createWriteStream(`${FolderSTR('ebdeploy')}/ebDeployPackage.zip`);

        const Bundle = archiver('zip', {
          zlib: { level: 9 }
        });
        Bundle.pipe(Output);
        Bundle.file(`${FolderSTR('quasar')}/.htaccess`, { name: '.htaccess' });
        Bundle.directory(`${FolderSTR('dist')}/spa-mat/`, 'spa-mat');

        Output.on('close', function () {
          console.log(`Bundle Size: ${Bundle.pointer()}bytes`);
          resolve(true);
        });

        Bundle.on('error', function (err) {
          throw err;
        });

        Bundle.finalize();
      });
    })
  }

  static sendTest() {
    /*return pour('eb', ['deploy', 'quasar-test', '-v'], {
      cwd: process.cwd(),
    });*/
  }

  static send() {
    /*pour('eb', ['deploy', 'quasar', '-v'], {
      cwd: process.cwd(),
    });*/
  }
}

module.exports = Deploy;
