const PWAIcons = [16, 24, 32, 36, 44, 48, 50, 72, 76, 88, 96, 120, 144, 150, 152, 180, 192, 300, 512, 1024].map(icon => ({
  name: `favicon-${icon}x${icon}.png`,
  size: icon,
}));

module.exports =
  {
    androidIcons: [
      { name: 'icon-36-ldpi.png', size: 36, density: 'ldpi' },
      { name: 'icon-48-mdpi.png', size: 48, density: 'mdpi' },
      { name: 'icon-72-hdpi.png', size: 72, density: 'hdpi' },
      { name: 'icon-96-xhdpi.png', size: 96, density: 'xhdpi' },
      { name: 'icon-144-xxhdpi.png', size: 144, density: 'xxhdpi' },
      { name: 'icon-192-xxxhdpi.png', size: 192, density: 'xxxhdpi' },
    ],
    iosIcons: [
      { name: 'icon-27.5.png', size: 27 },
      { name: 'icon-27.5.png', size: 27 },
      { name: 'icon-27.5.png', size: 27 },
      { name: 'AppIcon27.5x27.5@2x.png', size: 55 },
      { name: 'icon-20.png', size: 20 },
      { name: 'icon-27.5@2x.png', size: 55 },
      { name: 'icon-57.png', size: 57 },
      { name: 'icon-60.png', size: 60 },
      { name: 'icon-60@2x.png', size: 120 },
      { name: 'icon-60@3x.png', size: 180 },
      { name: 'icon-76.png', size: 76 },
      { name: 'icon-76@2x.png', size: 152 },
      { name: 'icon-40.png', size: 40 },
      { name: 'icon-40@2x.png', size: 80 },
      { name: 'icon-40@3x.png', size: 120 },
      { name: 'icon-44@2x.png', size: 88 },
      { name: 'icon-57@2x.png', size: 114 },
      { name: 'icon-72.png', size: 72 },
      { name: 'icon-72@2x.png', size: 144 },
      { name: 'icon-86@2x.png', size: 172 },
      { name: 'icon-98@2x.png', size: 196 },
      { name: 'icon-small.png', size: 29 },
      { name: 'icon-small@2x.png', size: 58 },
      { name: 'icon-small@3x.png', size: 87 },
      { name: 'icon-50.png', size: 50 },
      { name: 'icon-50@2x.png', size: 100 },
      { name: 'icon-83.5@2x.png', size: 167 },
      { name: 'icon-50@3x.png', size: 150 },
      { name: 'icon-57@3x.png', size: 171 },
      { name: 'icon-72@3x.png', size: 216 },
      { name: 'icon-76@3x.png', size: 228 },
      { name: 'icon-48.png', size: 48 },
      { name: 'icon-48@2x.png', size: 96 },
      { name: 'icon-58.png', size: 58 },
      { name: 'icon-58@2x.png', size: 116 },
      { name: 'icon-58@3x.png', size: 174 },
      { name: 'icon-64.png', size: 64 },
      { name: 'icon-64@2x.png', size: 128 },
      { name: 'icon-64@3x.png', size: 192 },
      { name: 'icon-83.5.png', size: 83.5 },
      { name: 'icon-320.png', size: 320 },
      { name: 'iTunesArtwork.png', size: 512 },
      { name: 'iTunesArtwork@2x.png', size: 1024 },
    ],
    storeIcons: [
      { name: 'icon-PlayStore.png', size: 512 },
      { name: 'icon-AppStore.jpg', size: 1024 }
    ],
    webIcons: [
      ...PWAIcons,
      { name: 'favicon-620x300.png', width: 620, height: 300},
      { name: 'favicon-1240x600.png', width: 1240, height: 600},
      { name: 'favicon.ico', size: 16 },
      { name: 'android-icon-36x36.png', size: 36 },
      { name: 'android-icon-48x48.png', size: 48 },
      { name: 'android-icon-72x72.png', size: 72 },
      { name: 'android-icon-96x96.png', size: 96 },
      { name: 'android-icon-192x192.png', size: 192 },
      { name: 'android-icon-512x512.png', size: 512 },
      { name: 'apple-icon-57x57.png', size: 57 },
      { name: 'apple-icon-60x60.png', size: 60 },
      { name: 'apple-icon-72x72.png', size: 72 },
      { name: 'apple-icon-76x76.png', size: 76 },
      { name: 'apple-icon-114x114.png', size: 114 },
      { name: 'apple-icon-120x120.png', size: 120 },
      { name: 'apple-icon-144x144.png', size: 144 },
      { name: 'apple-icon-152x152.png', size: 152 },
      { name: 'apple-icon-167x167.png', size: 167 },
      { name: 'apple-icon-180x180.png', size: 180 },
      { name: 'apple-icon-precomposed.png', size: 192 },
      { name: 'apple-icon.png', size: 192 },
      { name: 'ms-icon-70x70.png', size: 70 },
      { name: 'ms-icon-144x144.png', size: 144 },
      { name: 'ms-icon-150x150.png', size: 150 },
      { name: 'ms-icon-310x310.png', size: 310 }
    ],
    iosSplash: [
      { name: 'apple_splash_2048.png', width: 2048, height: 2732 },
      { name: 'apple_splash_1668.png', width: 1668, height: 2224 },
      { name: 'apple_splash_1536.png', width: 1536, height: 2048 },
      { name: 'apple_splash_1125.png', width: 1125, height: 2436 },
      { name: 'apple_splash_1242.png', width: 1242, height: 2208 },
      { name: 'apple_splash_750.png', width: 750, height: 1334 },
      { name: 'apple_splash_640.png', width: 640, height: 1136 },
      { name: 'screen-iphone-portrait.png', width: 320, height: 480 },
      { name: 'screen-iphone-portrait@2x.png', width: 640, height: 960 },
      { name: 'screen-ipad-portrait.png', width: 768, height: 1024 },
      { name: 'screen-ipad-portrait@2x.png', width: 1536, height: 2048 },
      { name: 'screen-ipad-portrait-ipadpro.png', width: 2048, height: 2732 },
      { name: 'screen-iphone-568h@2x.png', width: 640, height: 1136 },
      { name: 'screen-iphone-portrait-667h.png', width: 750, height: 1334 },
      { name: 'screen-iphone-portrait-736h.png', width: 1242, height: 2208 },
      { name: 'screen-iphone-portrait-2436h.png', width: 1242, height: 2208 },
      { name: 'screen-iphone-landscape-2436h.png', width: 1242, height: 2208 },
      { name: 'Default@2x~iphone~anyany.png', width: 1334, height: 1334 },
      { name: 'Default-2436h.png', width: 1125, height: 2436 },
      { name: 'Default-Landscape-2436h.png', width: 2436, height: 1125 },
      { name: 'Default@2x~iphone~comany.png', width: 750, height: 1334 },
      { name: 'Default@2x~iphone~comcom.png', width: 1334, height: 750 },
      { name: 'Default@3x~iphone~anyany.png', width: 2208, height: 2208 },
      { name: 'Default@3x~iphone~anycom.png', width: 2208, height: 1242 },
      { name: 'Default@3x~iphone~comany.png', width: 1242, height: 2208 },
      { name: 'Default@3x~iphone~comany.png', width: 1242, height: 2208 },
      { name: 'Default@2x~ipad~anyany.png', width: 2732, height: 2732 },
      { name: 'Default@2x~ipad~comany.png', width: 1278, height: 2732 },
    ],
    androidSplash: [
      { name: 'screen-ldpi-portrait.png', width: 320, height: 426, density: 'port-ldpi' },
      { name: 'screen-hdpi-portrait.png', width: 480, height: 640, density: 'port-hdpi' },
      { name: 'screen-mdpi-portrait.png', width: 320, height: 470, density: 'port-mdpi' },
      { name: 'screen-xhdpi-portrait.png', width: 720, height: 960, density: 'port-xhdpi' },
      { name: 'screen-xxhdpi-portrait.png', width: 960, height: 1600, density: 'port-xxhdpi' },
      { name: 'screen-xxxhdpi-portrait.png', width: 1280, height: 1920, density: 'port-xxxhdpi' },
    ],
  };
