const FolderSTR = require('../folder');
const fs = require('fs-extra');

module.exports = function (folder) {
  const manifest = fs.readJsonSync(`${FolderSTR('dist')}/${folder}/manifest.json`);
  var tmpManifest = {};
  var intiManifest = {
    css: {},
    js: {
      app: {},
      chunk: {},
    },
  };

  Object.keys(manifest).forEach((key) => {
    const fileArray = key.split('.');
    let fileObj = {};
    const fileTest = key.match(/((\.gz)|(\.map))/gmi);
    if (!(Array.isArray(fileTest) && fileTest.length)) {
      if (fileArray.includes('css')) {
        fileObj = {
          name: fileArray[0],
          file: manifest[key],
        };
        intiManifest.css[fileObj.name] = fileObj.file;
      }

      else if (fileArray.includes('woff') || fileArray.includes('eot') || fileArray.includes('ttf') || fileArray.includes('woff2')) {
        fileObj = {
          name: fileArray[0],
          file: manifest[key],
        };
        //intiManifest.font[fileObj.name] = fileObj.file;
      }

      else if (Number.isSafeInteger(parseInt(fileArray[0].split('/')[1], 10))) {
        fileObj = {
          id: fileArray[0].split('/')[1],
          name: `chunkFile_${fileArray[0].split('/')[1]}`,
          file: manifest[key],
        };
        intiManifest.js.chunk[fileObj.name] = fileObj.file;
      }

      else if (fileArray.includes('js')) {
        fileObj = {
          name: fileArray[0],
          file: manifest[key],
        };
        intiManifest.js.app[fileObj.name] = fileObj.file;
      }

      // tmpManifest[`${folder}/${key}`] = `${folder}/${fileObj.file}`;
    }
  });

  // fs.writeJsonSync(`${FolderSTR('dist')}/${folder}/manifest.json`, tmpManifest, { spaces: 2 });

  fs.writeJsonSync(`${FolderSTR('dist')}/${folder}/manifestInti.json`, intiManifest, { spaces: 2 });
  //fs.unlinkSync(`${FolderSTR('dist')}/${folder}/manifest.json`);
}
