const { spawn } = require('child_process');

module.exports = function (cmd, args, opts, stdout = process.stdout, stderr = process.stderr, stdin = process.stdin) {
  return new Promise((resolve, reject) => {
    const p = spawn(cmd, args, opts);
    if (p !== undefined || p !== null) {

      if (p.stdout !== null) {
        p.stdout.on('data', (data) => {
          stdout.write(data);
        });
      }
      if (p.stderr !== null) {
        p.stderr.on('data', (data) => {
          stderr.write(data);
        });
      }
      p.on('close', (code) => {
        if (code !== 0) {
          reject(new Error(`The process ${cmd} closed with code: ${code}`));
        }
        resolve(code);
      });
    }
  });
};