const FolderSTR = require('../folder');
const pour = require('../pour');
const generateManifest = require('../manifest');

module.exports = {
  clean() {
    return pour('quasar', ['clean'], {
      cwd: FolderSTR('quasar'),
    });
  },
  buildMaterial() {
    return pour('quasar', ['build', '--theme', 'mat'], {
      cwd: FolderSTR('quasar'),
      stdio: [process.stdin, process.stdout, 'pipe'],
      shell: true,
    })
      .then(() => {
        generateManifest('spa-mat');
      });
  },
  build(commands) {
    return pour('quasar', commands, {
      cwd: FolderSTR('quasar'),
      stdio: [process.stdin, process.stdout, 'pipe'],
      shell: true,
    });
  }
};
