const inquirer = require('inquirer');
const build = require('./build');

const questions = [
  {
    type: 'list',
    name: 'commands',
    message: 'What you want to do?',
    choices: ['Development', 'Build',],
    filter: function (val) {
      return val.toLowerCase();
    }
  },
  {
    type: 'list',
    name: 'platform',
    message: 'For what platform?',
    choices: ['Web', 'Mobile',],
    filter: function (val) {
      return val.toLowerCase();
    }
  },
  {
    type: 'list',
    name: 'theme',
    message: 'With what theme?',
    choices: ['Android', 'iOs',],
    filter: function (val) {
      return val.toLowerCase();
    }
  },
  {
    type: 'confirm',
    name: 'icons',
    message: 'Do you want to make the client Icons & Splash Screens?',
    default: false
  },
  {
    type: 'list',
    name: 'appVersion',
    message: 'In what version?',
    choices: ['Skip', 'Patch', 'Minor', 'Major'],
    filter: function (val) {
      if (val === 'Skip') {
        return '';
      }
      return val.toLowerCase();
    }
  },
  ];

module.exports = {
  askQuestions(client) {
    inquirer.prompt(questions).then(answers => {
      build.Application(answers, client)
        .then((args) => {
          build.Compile(args);
        })
        .catch(error => console.error(error));
    });
  },
};
